Subject: bug#55707: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Luis Felipe <[email-masked]>
Date: Mon, 06 Jun 2022 18:11:53 +0000

It turns out the problem is related to user services. I just disabled my user services, rebooted, and GNOME session started.

I only have one user service defined in ~/.config/shepherd/init.scm as follows

~~~
;;; Definition of my user-level services.
(use-modules (shepherd service))

;;; SERVICE DEFINITIONS
;;; ===================

(define rygel
  (make <service>
    #:provides '(rygel)
    #:docstring "Run the Rygel media server."
    #:start (make-forkexec-constructor '("rygel"))
    #:stop (make-kill-destructor)
    #:respawn? #t))

;;; REGISTER SERVICES
;;; =================

(register-services rygel)

;;; START SERVICES
;;; ==============

(start rygel)

;;; Send shepherd to the background.
(action 'shepherd 'daemonize)
~~~

And I call "shepherd" in the ~/.profile file. This never posed a problem until my recent system generations from April to date, though, where I was never able to start a GNOME session. So I wonder what's going on now...

For what it's worth, the only error I see in ~/.config/shepherd/shepherd.log is this

2022-04-07 11:01:57 system-error("getpgid" "~A" ("No existe el proceso") (3))

"No existe el proceso" meaning, "The process doesn't exist". This error has occurred several times since 2021, though.